## Appendix 3: Mapping list of UI options and properties

This appendix provides a list of JReport Enterprise Server UI options and their corresponding properties of the same functionality in the property files.

Most of these listed UI options are the administrative configuration options which can be accessed on the JReport Administration page by administrators. A few of them are available on the JReport Console page to end users too.

UI Option | Property in server.properties in `<install_root>\bin`
--- | ---
JReport Administration page > Configuration > Cluster
Admin Server | cluster.server.admin
Backup Server | cluster.server.backup
Slave Server | cluster.server.admin=false & cluster.server.backup=false
Shared Properties Directory | resource.share.properties.dir
Shared Realm Directory | resource.share.realm.dir
Shared Resource Root | resource.root
History Directory | resource.share.hist.dir
Temporary Files Directory | resource.share.temp.dir
Server's RMI Host | server.rmi.host
Server's RMI Port | server.rmi.port
Admin Server's RMI Host | cluster.admin.rmi.host
Admin Server's RMI Port | cluster.admin.rmi.port
JReport Administration page > Configuration > Service
Port | httpserver.port
Administration Port | httpserver.admin.port
Maximum Number of Handlers | httpserver.max.handlers
Maximum Number of Connections | httpserver.max.connections
Connection Timeout in | httpserver.timeout
Enable Secure Socket Layer Connection | httpserver.ssl.enable
Secure Port | httpserver.ssl.port
Secure Administration Port | httpserver.ssl.admin.port
Keystore File Path | httpserver.ssl.keystore
Keystore Password | httpserver.ssl.keystore.password
Keystore Type | httpserver.ssl.keystore.type
Keystore Protocol | httpserver.ssl.protocol
Keystore Algorithm | httpserver.ssl.algorithm
Servlet Properties File Name | httpserver.servlet.propfile
Active Realm | server.realm.active
All Network Addresses | httpserver.host.all
Network Address At | httpserver.host.name
JReport Administration page > Configuration > Cache > Report Cache
Cache Loaded Catalogs | performance.cachecat
Maximum Number of Catalogs to be Cached | performance.catpoolsize
Cache Loaded Report Sets | performance.cacherpt
Maximum Number of Report Sets to be Cached | performance.rptpoolsize
Report Buffer Size for Sort Action | engine.sort.buffer_size
JReport Administration page > Configuration > Cache > Security Cache
User Cache Size | server.security.user.cache.size
Role Cache Size | server.security.role.cache.size
Group Cache Size | server.security.group.cache.size
Protection Cache Size | server.security.protection.cache.size
JReport Administration page > Configuration > Cache > Image Cache
Cache Images | performance.cacheimg
All used images | performance.cacheallimg
Maximum Image Cache Size | performance.imgpoolsize
Show Details | performance.showimgdetail
JReport Administration page > Configuration > Performance
Catalogs to Be Preloaded | performance.preloadedcats
Preload Catalog Referred Classes | performance.preloadcatcls
Preload Engine Referred Classes | performance.preloadenginecls
Preload Report Set Referred Classes | performance.preloadrptcls
Report Sets to Be Preloaded | performance.preloadedrpts
Preload Fonts | performance.loadfont
Compress Swap Files | performance.compressio
JReport Administration page > Configuration > Advanced
No Security Check | server.security
Enable "Publish to Versioning System" for Background Tasks View | server.version.from.temp
Keep Connection Alive | server.connection.keepalive
Enable Multiple Users to Login Using the Same User Name | server.enableMultipleLogin
Enable Resources from Real Paths | server.enableDynamicResource
Enable Task Duration | task.duration.enable
Enable Linked Catalog | server.resource.enable_linked_catalog
Role Based Authorization | server.rolebased.authorization
Permission Setting UI Displays > User | server.ui.set_permissions.user
Permission Setting UI Displays > Role | server.ui.set_permissions.role
Permission Setting UI Displays > Group | server.ui.set_permissions.group
Permission Algorithm | server.permission.algorithm
User Session Timeout | server.session.timeout
Time Limit before Moving to Background | web.timeouts.report_wait
Status Refresh Interval | task.duration.check_cycle
Temporary Files Life | resource.result.life
Engine Priority | engine.priority
JReport Administration page > Cluster > Admin
Enable notification after a server has been shut down | cluster.enable_notify_server_down
E-mail Address | cluster.notify_server_down_address
JReport Console page > Reports > Advanced Run > General
Priority | task.initial.priority.ondemand
JReport Console page > Reports > Schedule > General
Priority | task.initial.priority.schedule

UI Option | Property in mailconfig.properties in `<install_root>\bin`
--- | ---
JReport Administration page > Configuration > Export > E-mail
SMTP Server | smtp.server
Server Requires Authentication | smtp.authentication
SMTP Server Port | smtp.server.port
E-mail Address | mailbox
Default E-mail Format | default.format
Compress Attachment as Java Archive | compress.mail
Maximum File Size | Tag_MaxMailSize

UI Option | Property in faxconfig.properties in `<install_root>\bin`
--- | ---
JReport Administration page > Configuration > Export > Fax
Fax Machine/Fax Server | via_fax_server
Timeout | time_out
Retries | max_retries
Dialing | dialing
Modem Class | modem_class
Flow Control | flow_control
Flow Control Command | flow_command
Port | port
Initialization String | init_string
Fax Gateway Connector | connector
Server IP | server_ip
Server Port | server_port
Login ID | user_id
Password | password
Fax Sender | user_name
Special Parameters | special_parameters

UI Option | Property in preference.properties in `<install_root>\realm\defaultRealm`
--- | ---
JReport Administration/Console page > Profile > Customize Server Preferences
General
Default Format for Viewing Report | default_view_format
Pop-up DHTML Window | popup_dhtml_window
Only CSS style can be available in style list | only_css_style
Display the Last Login Time | jrs.user_last_login_time
Display the Last Logout Time | jrs.user_last_logout_time
Keep Completed Tasks for | days_definition_for_completed
Parameter Display Size | parameters_display_size
Folder Selector Type | folder_selector_format
Skin Format | skin_format
Columns Shown in Reports List
Type | reports_type
Description | reports_description
Last Modified | reports_last_modified
Task ID | scheduled_task_id
Schedule Name | scheduled_task_name
Next Run Time | scheduled_next_run_at
Last Run Time | scheduled_last_run_at
Is Successful | scheduled_is_successful
Catalog | scheduled_catalog
Report Set | scheduled_report
Reports | scheduled_reports
Launch Type | scheduled_launch_type
Task Type | scheduled_task_type
Requester | scheduled_submitter
Is Enabled | scheduled_is_enable
Columns Shown in Running List
Task ID | active_task_id
Schedule Name | active_task_name
Start Time | active_started_time
Catalog | active_catalog
Report Set | active_report
Reports | active_reports
Launch Type | active_launch_type
Task Type | active_task_type
Requester | active_submitter
Parameter File | active_parameters
Parameters | active_parameters_values
Engine Status | active_engine_status
Columns Shown in Completed List
Task ID | completed_task_id
Schedule Name | completed_task_name
Completed Time | completed_completed_time
Is Successful | completed_is_successful
Catalog | completed_catalog
Report Set | completed_report
Reports | completed_reports
Launch Type | completed_launch_type
Task Type | completed_task_type
Requester | completed_submitter
Parameter File | completed_parameter_file
Parameters | completed_parameters
Engine Status | completed_engine_status
Error Message | completed_error_message
Result Files | completed_result_files
Columns Shown in Background Tasks List
Catalog | ondemands_catalog
Finish Time | ondemands_time
Elapse Time | ondemands_time_elapse
Start Time | ondemands_started_time
Catalog Version Number | ondemands_catalog_version
Report Set Version Number | ondemands_report_version
Parameters | ondemands_parameter
Columns Shown in Report Set Result Versions List
Number | version_number
Report Set Results | version_output
Parameters | version_parameters
Creator | version_creator
Number | rpt_version_number
Columns Shown in Catalog Versions List
Number | cat_version_number
Columns Shown in Result Versions List
Number | doc_version_number
Results | doc_version_output
Parameters | doc_version_parameters
Creator | doc_version_creator
Export Formats
JReport Result
Zip Result | jrs.zip_result
DHTML
Resolution | jrs.dhtml_resolution
HTML
No Margin | jrs.no_margin_html
Multiple Files | jrs.is_multi_files=true
Embedded CSS | jrs.embedded_css
Single File | jrs.is_multi_files=false
No Hyperlink | jrs.has_hyperlink
No Page Number | jrs.has_page_number
Drilldown | jrs.drilldown
Section 508 Compliant Output | jrs.use_section508_output
Use HTML Data Table | jrs.use_html_table
Absolute Font Size | jrs.relative_font_size=false
Relative Font Size | jrs.relative_font_size=true
Use Chart > Applet Chart | jrs.is_applet_chart=true
Use Chart > Image Chart | jrs.is_applet_chart=false
Use Chart > Image Chart drop-down list | jrs.format_chart
Resolution | jrs.html_resolution
Web Browser | jrs.web_browser
Text Overflow | jrs.text_overflow
PDF
No Margin | jrs.no_margin_pdf
Compress Image | jrs.compress_image_pdf
Generate charts and barcodes using images (recommended) | jrs.print_mode_pdf=false
Generate charts and barcodes using vector graphics | jrs.print_mode_pdf=true
TOC | jrs.toc_pdf
Drilldown | jrs.drilldown_pdf
Encrypt | jrs.pdf_encrypt
Encrypt > Compatibility | jrs.pdf_compatibitly
Encrypt > Document Open Password | jrs.password_pdf
Encrypt > Use a password to restrict printing and editing of the document and its security settings | jrs.has_pdf_permis_pasw
Encrypt > Permissions Password | jrs.pdf_permis_pasw
Encrypt > Printing Allowed | jrs.pdf_printallow
Encrypt > Changes Allowed | jrs.pdf_changallow
Encrypt > Enable copying of text, images and other content | jrs.pdf_check_enablecopy
Encrypt > Enable text access for screen reader devices for the visually impaired | jrs.pdf_check_enableaccess
Sign | jrs.pdf_sign
Sign > Method | jrs.pdf_sign_method
Sign > Digital ID File | jrs.pdf_digital_path
Sign > User Password | jrs.pdf_user_pasw
Sign > Reason for Signing Document | jrs.pdf_document_reson
Sign > Or Other Reason | jrs.pdf_edit_yourself
Sign > Location | jrs.pdf_location
Sign > Your Contact Information | jrs.pdf_contact_inf
Excel
Word Wrap | jrs.is_wordwrap
Preserve Report Formatting | jrs.excel_layout=true
Normal Formatting | jrs.excel_layout=false
Excel 2000 | jrs.excel2000
More Options | jrs.excel_advanced=true
Less Options | jrs.excel_advanced=false
Include Shapes in Export | jrs.has_shapes
Print Page Header | jrs.print_header
Print Page Footer | jrs.print_footer
Print Gridlines | jrs.print_gridlines
Text
Delimited Format | jrs.is_norm_txt=false
Delimited Format > Use Quote Mark | jrs.is_quotemark
Delimited Format > Repeat Last Column Value If Null | jrs.is_repeat
Delimited Format > Custom Delimiter | jrs.is_text_delimiter=jrs.delimiter & jrs.delimiter=
Delimited Format > Tab Delimited | jrs.is_text_delimiter=jrs.is_tab
Delimited Format > CSV Format | jrs.is_text_delimiter=jrs.is_csv
Horizontal Density | jrs.udchar_width
Vertical Density | jrs.udchar_height
Compress | jrs.txt_compress
Header and Footer | jrs.hasHeadFoot
Windows End-of-line (CR-LF) | jrs.txt_windows=true
Unix End-of-line (LF) | jrs.txt_windows=false
RTF
Best Editing | jrs.best_editing_rtp
No Margin | jrs.no_margin_rtf
XML
Only Data | jrs.is_only_data
PostScript
No Margin | jrs.no_margin_ps
Applet
Pop-up Window | jrs.frameapplet
Zip Result | jrs.zip_applet_result
Java Plug-In 1.2 for Windows | jrs.applet_type=2
Java Plug-In 1.3 for Windows | jrs.applet_type=3
Advanced
Enable Waiting Page | skin_enable_waitting_page
Specify Default Language | enable_setting_display_language
Specify Default Language > Language | locale_nls
Specify Default Language > Reset All Users' Preference | is_forced_language
Identify Server Preference | jrs.enable_to_prefer_server
Use Accessible Version | jrs.use_section508_compliant_page
Enable Saving Parameter Values | jrs.enable_save_used_parameter_values
Maximum Number of Auto Complete Parameters List | max_autocomplete_list_num
Enable Waiting Page > Customize
Default Format | skin_style=Default
Customize Format | skin_style=Customize
Customize Format > Enable Customize Loading Status Image | skin_enable_loading_statue
Customize Format > Server-side File Name | skin_waitting_statue
Customize Format > Alignment to | skin_statue_align
Customize Format > Tip Text Font | skin_tip_font_family
Customize Format > Size | skin_tip_font_size
Customize Format > Bold | skin_tip_font_isblod
Customize Format > Italic | skin_tip_font_isitalic
Customize Format > Underline | skin_tip_font_isunderline
Specify a JSP as Waiting Page | skin_style=Appointment
Specify a JSP as Waiting Page > File Name | skin_waitting_page
Reports page
View Mode | page_style
My Tasks > Background Tasks > Preferences
Result | background_format
Start Time | ondemands_started_time
Finish Time | ondemands_time
Status | background_status
Catalog | ondemands_catalog
Elapse Time | ondemands_time_elapse
Catalog Version Number | ondemands_catalog_version
Report Set Version Number | ondemands_report_version
Parameters | ondemands_parameter
Cancelled | ondemands_cancelled

UI Option | Property in dhtmlPreference.properties in `<install_root>\realm\defaultRealm`
--- | ---
JReport Administration/Console page > Profile > Configure DHTML Preferences
Features
Default Profile | dhtml.currentprofile
Properties > Default
User Information Bar | dhtml.userbar.default
Toolbar | dhtml.toolbar.default
Table of Contents | dhtml.toc.default
Resource View | dhtml.dso.default
Toolbox | dhtml.toolbox.default
Right-click Menu | dhtml.popup.default
Pop Up New Window for Links | dhtml.popup.link.detail.default
Editing Marks | dhtml.privew.default
Pop Up Save Criteria Dialog | dhtml.save.popup.criteria
Save Filter Criteria | dhtml.save.filter.criteria
Save Sort Criteria | dhtml.save.sort.criteria
Switch Reports with Tab | dhtml.switch.reports.with.tab
Show Master Report | dhtml.master.default
Tool Tips on Toolbars | dhtml.tooltips
Always Prompt Query Filter | dhtml.bcfilter_prompt
Always Prompt to Convert Data Fields | dhtml.convertquery_prompt
Mouse Wheel Turn to Page | dhtml.mwttp.default
Always Prompt Whether to Adjust Page Size Automatically | dhtml.createreport_prompt
Zoom | dhtml.zoom.default
Max Records | dhtml.recordnumber.default
Browser Page Title | dhtml.title
Remove Filter | dhtml.report.filter_menu_all
Top N | dhtml.report.filter_menu_topn
Bottom N | dhtml.report.filter_menu_bottomn
More | dhtml.report.filter_menu_more
Show Grids | dthml.show_grids
Snap to Grids | dhtml.snap_to_grids
Grid Size | dhtml.grid_inches_size
Grid Color | dhtml.grid_color
Report Layout | dhtml.reportlayout
Report Style Group | dhtml.stylegroup
Customize Group Indent | dhtml.customize_indent & dhtml.customize_indent_size
Align Summaries Vertically | dhtml.align_summaries
Use Vertical Group Header to Detail Panel in Table | dhtml.vertical_group_header
Properties > Advanced
Advanced User | dhtml.advanceuser
Auto Refresh | dhtml.autorefresh
Show Group by Name | dhtml.toc.groupbyname
View Incomplete Pages | dhtml.report.pipe_line
Format Page On Demand | dhtml.report.on_demand
Lock Screen Timeout | dhtml.locktimeout.edit & dhtml.locktimeout
Report Timeout | dhtml.report.timeout.edit & dhtml.report.timeout
Report Set Timeout | dhtml.reportset.timeout.edit & dhtml.reportset.timeout
Background Mode Timeout | dhtml.background.mode.timeout.edit & dhtml.background.mode.timeout
Maximum Number of Open Reports | dhtml.report.max_reports.edit & dhtml.report.max_reports
Select Catalog Linked Model | dhtml.save.catalog_linked_mode_edit & dhtml.save.catalog_linked_mode
Show Splash Screen | dhtml.showSpalshScreen

UI Option | Property in *_profile.properties in `<install_root>\realm\defaultRealm`
--- | ---
JReport Administration page > Profile > Configure DHTML Preferences > Features
Profile list
Name | jrs.profile
Description | jrs.profile_desc
Last Modified | jrs.profile_last_modified
DHTML Profile > Basic
Save | dhtml.save
Save as | dhtml.saveas
Filter | dhtml.filter
Sort | dhtml.sort
Export | dhtml.saveresult
Printable Version | dhtml.print
Search | dhtml.search
Style | dhtml.style
Zoom | dhtml.zoom
Change Skin | dhtml.skin
Go to | dhtml.goto
Open | dhtml.open
Refresh | dhtml.refresh
Reset | dhtml.reset
Undo/Redo | dhtml.unredo
Navigation | dhtml.nav
Page Setup | dhtml.pagesetup
Max Records | dhtml.recordnumber
Help | dhtml.help
DHTML Profile > Advanced
Query Filter | dhtml.bcfilter
To Chart | dhtml.tochart
To Crosstab | dhtml.tocrosstab
Rotate | dhtml.rotatecrosstab
Split | dhtml.split
Merge | dhtml.merge
New | dhtml.create
Editing Marks | dhtml.preview
Chart Type | dhtml.charttype
Insert/Remove | dhtml.insert_or_remove
Grid | dhtml.grid
Pivot | dhtml.pivot
Resize | dhtml.resize
Move | dhtml.move
Resource View | dhtml.dso
Toolbox | dhtml.toolbox
Drill | dhtml.drill
DHTML Profile > Function Visibility
User Information Bar | dhtml.userbar
Report Set Bar | dhtml.reportsetbar
Toolbar | dhtml.toolbar
Menu | dhtml.menu
Table of Contents | dhtml.toc
Right-click Menu | dhtml.popup
DHTML Profile > Function Visibility > Right-click Menu
Display Name | dhtml.contextmenu.displayname
Filter | dhtml.contextmenu.filter
Sort | dhtml.contextmenu.sort
Go to | dhtml.contextmenu.goto
Drill | dhtml.contextmenu.drill
Show/Hide | dhtml.contextmenu.show_or_hide
Rotate | dhtml.contextmenu.rotate
Reset | dhtml.contextmenu.reset
Refresh | dhtml.contextmenu.refresh
Search | dhtml.contextmenu.search
Chart Type | dhtml.contextmenu.charttype
To Chart | dhtml.contextmenu.tochart
To Crosstab | dhtml.contextmenu.tocrosstab
Link Report | dhtml.contextmenu.linkreport
Detail Report | dhtml.contextmenu.detailreport
Delete | dhtml.contextmenu.delete
Query Filter | dhtml.contextmenu.bcFilter
Expand Data | dhtml.contextmenu.expand
Properties | dhtml.contextmenu.properties
Style | dhtml.contextmenu.style